=== modified file 'bzrlib/transport/remote.py'
--- bzrlib/transport/remote.py	2007-04-26 06:19:07 +0000
+++ bzrlib/transport/remote.py	2007-04-27 03:01:44 +0000
@@ -123,6 +123,12 @@
             return True
         elif resp == ('no', ):
             return False
+        elif resp == ('error', "Generic bzr smart protocol error: "
+                               "bad request 'Transport.is_readonly'"):
+            # XXX: nasty hack: pre 0.16 servers don't have a
+            # 'Transport.is_readonly' verb, so we do what pre 0.16 clients did:
+            # assume False.
+            return False
         else:
             self._translate_error(resp)
         assert False, 'weird response %r' % (resp,)

